osl::DirectionTraitsGen< UUR > Struct Reference

`#include <directionTraits.h>`

## Static Public Attributes

static const int | blackDx =-1
static const int | blackDy =-2
static const bool | canPromoteTo =true
static const Direction | altDir =UUR
static const Direction | longDir =UUR
static const Direction | primDir =UUR
static const int | ptypeMask

## Detailed Description

Definition at line 122 of file directionTraits.h.

## Member Data Documentation

## altDir

const Direction osl::DirectionTraitsGen< UUR >::altDir =UUR

static

Definition at line 127 of file directionTraits.h.

## blackDx

const int osl::DirectionTraitsGen< UUR >::blackDx =-1

static

Definition at line 123 of file directionTraits.h.

## blackDy

const int osl::DirectionTraitsGen< UUR >::blackDy =-2

static

Definition at line 124 of file directionTraits.h.

## canPromoteTo

const bool osl::DirectionTraitsGen< UUR >::canPromoteTo =true

static

Definition at line 125 of file directionTraits.h.

## longDir

const Direction osl::DirectionTraitsGen< UUR >::longDir =UUR

static

Definition at line 128 of file directionTraits.h.

## primDir

const Direction osl::DirectionTraitsGen< UUR >::primDir =UUR

static

Definition at line 129 of file directionTraits.h.

## ptypeMask

const int osl::DirectionTraitsGen< UUR >::ptypeMask

static

Initial value:
=
(1<<KNIGHT)
osl::KNIGHT
@ KNIGHT
Definition basic_type.h:97

Definition at line 130 of file directionTraits.h.

The documentation for this struct was generated from the following file:

- directionTraits.h